Bug 215519 - [fusefs] strange issue when glusterfs is fuse mounted, files not handled as expected.
Summary: [fusefs] strange issue when glusterfs is fuse mounted, files not handled as e...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 11.0-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: Conrad Meyer
URL:
Keywords:
Depends on:
Blocks: 215503
  Show dependency treegraph
 
Reported: 2016-12-23 16:00 UTC by craig001
Modified: 2017-08-01 10:20 UTC (History)
4 users (show)

See Also:
koobs: mfc-stable11+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description craig001 2016-12-23 16:00:03 UTC
glusterfs port is not behaving as expected..  when mounting via fuse, files do not get handled correctly.

glusterfs FreeBSD zfs backed bricks, accessed using the mount_glusterfs and FreeBSD's fuse module

craig@zbox:~> uname -a
FreeBSD zbox.xxxxxx 11.0-RELEASE-p1 FreeBSD 11.0-RELEASE-p1 #0 r306420: Thu Sep 29 01:43:23 UTC 2016     root@releng2.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

craig@zbox:~> sudo mount_glusterfs 192.168.1.3:test /mnt/glusterfs
craig@zbox:~> mount | grep gluster
/dev/fuse on /mnt/glusterfs (fusefs, local, synchronous)

problem -
root@zbox:/mnt/glusterfs# echo abc > testfile
root@zbox:/mnt/glusterfs# cat testfile 
abc
root@zbox:/mnt/glusterfs# echo def >> testfile
root@zbox:/mnt/glusterfs# cat testfile
def

expected -
root@zbox:~# echo abc > testfile
root@zbox:~# cat testfile
abc
root@zbox:~# echo def >> testfile
root@zbox:~# cat testfile
abc
def
Comment 1 Florian Smeets freebsd_committer 2017-06-28 18:21:13 UTC
This was fixed by r320451 in head. Tested with gluster 3.11.0.
Comment 2 craig001 2017-06-28 23:00:45 UTC
Thanks Florian,  I'll check it out and get the port updated over the next week.
Comment 3 Ben RUBSON 2017-07-05 17:47:15 UTC
r320451  will be in 11.1 !
https://svnweb.freebsd.org/changeset/base/320689
Comment 4 craig001 2017-07-09 19:12:00 UTC
Brilliant, this is working with the original GlusterFS 3.9.0_3 and FreeBSD 11.1 RC2

root@condor:~ # uname -vp
FreeBSD 11.1-RC2 #0 r320779: Fri Jul  7 17:33:59 UTC 2017     root@releng2.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

root@condor:~ # gluster --version
glusterfs 3.9.0 built on Jul  2 2017 07:53:30
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.

root@condor:~ # kldload fuse
root@condor:~ # mount_glusterfs 192.168.1.21:test /mnt/glusterfs
root@condor:~ # mount | grep gluster
/dev/fuse on /mnt/glusterfs (fusefs, local, synchronous)
root@condor:~ # cd /mnt/glusterfs/
root@condor:/mnt/glusterfs # echo abc > test
root@condor:/mnt/glusterfs # echo def >> test
root@condor:/mnt/glusterfs # cat test
abc
def
Comment 5 craig001 2017-07-09 19:12:38 UTC
updated glusterfs port in progress
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 10:20:24 UTC
Document MFC